/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 3.0.12
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package it.politecnico.coolprop;

public final class ConfigurationDataTypes {
  public final static ConfigurationDataTypes CONFIGURATION_NOT_DEFINED_TYPE = new ConfigurationDataTypes("CONFIGURATION_NOT_DEFINED_TYPE", CoolPropJNI.CONFIGURATION_NOT_DEFINED_TYPE_get());
  public final static ConfigurationDataTypes CONFIGURATION_BOOL_TYPE = new ConfigurationDataTypes("CONFIGURATION_BOOL_TYPE");
  public final static ConfigurationDataTypes CONFIGURATION_DOUBLE_TYPE = new ConfigurationDataTypes("CONFIGURATION_DOUBLE_TYPE");
  public final static ConfigurationDataTypes CONFIGURATION_INTEGER_TYPE = new ConfigurationDataTypes("CONFIGURATION_INTEGER_TYPE");
  public final static ConfigurationDataTypes CONFIGURATION_STRING_TYPE = new ConfigurationDataTypes("CONFIGURATION_STRING_TYPE");
  public final static ConfigurationDataTypes CONFIGURATION_ENDOFLIST_TYPE = new ConfigurationDataTypes("CONFIGURATION_ENDOFLIST_TYPE");

  public final int swigValue() {
    return swigValue;
  }

  public String toString() {
    return swigName;
  }

  public static ConfigurationDataTypes swigToEnum(int swigValue) {
    if (swigValue < swigValues.length && swigValue >= 0 && swigValues[swigValue].swigValue == swigValue)
      return swigValues[swigValue];
    for (int i = 0; i < swigValues.length; i++)
      if (swigValues[i].swigValue == swigValue)
        return swigValues[i];
    throw new IllegalArgumentException("No enum " + ConfigurationDataTypes.class + " with value " + swigValue);
  }

  private ConfigurationDataTypes(String swigName) {
    this.swigName = swigName;
    this.swigValue = swigNext++;
  }

  private ConfigurationDataTypes(String swigName, int swigValue) {
    this.swigName = swigName;
    this.swigValue = swigValue;
    swigNext = swigValue+1;
  }

  private ConfigurationDataTypes(String swigName, ConfigurationDataTypes swigEnum) {
    this.swigName = swigName;
    this.swigValue = swigEnum.swigValue;
    swigNext = this.swigValue+1;
  }

  private static ConfigurationDataTypes[] swigValues = { CONFIGURATION_NOT_DEFINED_TYPE, CONFIGURATION_BOOL_TYPE, CONFIGURATION_DOUBLE_TYPE, CONFIGURATION_INTEGER_TYPE, CONFIGURATION_STRING_TYPE, CONFIGURATION_ENDOFLIST_TYPE };
  private static int swigNext = 0;
  private final int swigValue;
  private final String swigName;
}

